
QGIS Application - Bug report #17445

Custom Certificate Configuration on 2.99 on Ubuntu 17.10

2017-11-13 05:27 PM - Randal Hale

Status: Feedback

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25342

Description

I just did a new install on Ubuntu 17.10 of QGIS 2.99. When I first start it I'm getting a Custom Certificate Configuration menu appearing

and it's reporting an error: * Unable To Get Local Issuer Certificate: The issuer certificate of a locally looked up certificate could not be

found and SSL Errors occurred accessing this URL: https://version.qgis.org/version.txt

I have libqca2-plugin-ossl installed. If I click abort QGIS starts fine. If I start QGIS again the Custom Certificate Configuration appears

After QGIS starts (and not before).

Related issues:

Duplicated by QGIS Application - Bug report # 17583: master gives certificate... Closed 2017-11-29

History

#1 - 2017-11-30 09:25 AM - Jürgen Fischer

- Resolution set to duplicate

#2 - 2017-11-30 09:26 AM - Jürgen Fischer

- Duplicated by Bug report #17583: master gives certificate issue on startup added

#3 - 2017-11-30 09:26 AM - Jürgen Fischer

- Resolution deleted (duplicate)

#4 - 2017-12-18 04:55 PM - Richard Duivenvoorde

As I still have this (on Debian testing).

Starting after removing all ~/.local/share/QGIS directories.

Some (hopefully relavant) debug info:

src/core/qgsdataitemproviderregistry.cpp: 103: (QgsDataItemProviderRegistry) [0ms]

/home/richard/bin/qgis_all/master/debug/lib/qgis/plugins/libwmsprovider.so does not have dataCapabilities

src/core/auth/qgsauthmanager.cpp: 143: (init) [0ms] Initializing QCA...

src/core/auth/qgsauthmanager.cpp: 146: (init) [0ms] QCA initialized.

src/core/auth/qgsauthmanager.cpp: 149: (init) [4ms] QCA Plugin Diagnostics Context: Checking Qt static plugins:

  (none)

Checking Qt Library Path: /home/richard/bin/qgis_all/master/debug/lib/qgis/plugins

  (No 'crypto' subdirectory)

Checking Qt Library Path: /usr/lib/x86_64-linux-gnu/qt5/plugins

  (No 'crypto' subdirectory)

Checking Qt Library Path: /home/richard/bin/qgis_all/master/debug/bin

  (No 'crypto' subdirectory)
Checking Qt Library Path: /usr/lib/x86_64-linux-gnu/qca-qt5

  libqca-cyrus-sasl.so: (class: saslPlugin) loaded as qca-cyrus-sasl

  libqca-gnupg.so: (class: gnupgPlugin) loaded as qca-gnupg

  libqca-logger.so: (class: loggerPlugin) loaded as qca-logger

  libqca-ossl.so: (class: opensslPlugin) loaded as qca-ossl

  libqca-softstore.so: (class: softstorePlugin) loaded as qca-softstore

src/core/auth/qgsauthmanager.cpp: 153: (init) [0ms] QCA supports:

random,md5,sha1,keystorelist,sasl,pgpkey,openpgp,log,sha0,ripemd160,md4,sha224,sha256,sha384,sha512,hmac(md5),hmac(sha1),hmac(sha224),hmac(sha256),hmac(sha384),hmac(sha512),hmac(ripemd160),aes128-ecb,aes128-cfb,aes128-cbc,aes128-cbc-pkcs7,aes128-ofb,aes128-ctr,aes192-ecb,aes192-cfb,aes192-cbc,aes192-cbc-pkcs7,aes192-ofb,aes192-ctr,aes256-ecb,aes256-cbc,aes256-cbc-pkcs7,aes256-cfb,aes256-ofb,aes256-ctr,blowfish-ecb,blowfish-cbc-pkcs7,blowfish-cbc,blowfish-cfb,blowfish-ofb,tripledes-ecb,tripledes-cbc,des-ecb,des-ecb-pkcs7,des-cbc,des-cbc-pkcs7,des-cfb,des-ofb,cast5-ecb,cast5-cbc,cast5-cbc-pkcs7,cast5-cfb,cast5-ofb,pbkdf1(sha1),pbkdf2(sha1),pkey,dlgroup,rsa,dsa,dh,cert,csr,crl,certcollection,pkcs12,tls,cms,ca
src/core/auth/qgsauthmanager.cpp: 163: (init) [0ms] Prioritizing qca-ossl over all other QCA providers...
src/core/auth/qgsauthmanager.cpp: 177: (init) [1ms] QCA provider priorities: qca-cyrus-sasl:1, qca-gnupg:1, qca-logger:1, qca-ossl:0, qca-softstore:1
src/core/auth/qgsauthmanager.cpp: 179: (init) [0ms] Populating auth method registry
src/core/auth/qgsauthmethodregistry.cpp: 66: (QgsAuthMethodRegistry) [0ms] Checking for auth method plugins in: /home/richard/bin/qgis_all/master/debug/lib/qgis/plugins
src/core/auth/qgsauthmanager.cpp: 184: (init) [0ms] Authentication methods found: Basic, Identity-Cert, PKI-PK

224),hmac(sha256),hmac(sha384),hmac(sha512),hmac(ripemd160),aes128-ecb,aes128-cfb,aes128-cbc,aes128-cbc-pkcs7,aes128-ofb,aes128-ctr,aes192-ecb,aes192-cfb,aes192-cbc,aes192-cbc-pkcs7,aes192-ofb,aes192-ctr,aes256-ecb,aes256-cbc,aes256-cbc-pkcs7,aes256-cfb,aes256-ofb,aes256-ctr,blowfish-ecb,blowfish-cbc-pkcs7,blowfish-cbc,blowfish-cfb,blowfish-ofb,tripledes-ecb,tripledes-cbc,des-ecb,des-ecb-pkcs7,des-cbc,des-cbc-pkcs7,des-cfb,des-ofb,cast5-ecb,cast5-cbc,cast5-cbc-pkcs7,cast5-cfb,cast5-ofb,pbkdf1(sha1),pbkdf2(sha1),pkey,dlgroup,rsa,dsa,dh,cert,csr,crl,certcollection,pkcs12,tls,cms,ca
src/core/auth/qgsauthmanager.cpp: 163: (init) [0ms] Prioritizing qca-ossl over all other QCA providers...
src/core/auth/qgsauthmanager.cpp: 177: (init) [1ms] QCA provider priorities: qca-cyrus-sasl:1, qca-gnupg:1, qca-logger:1, qca-ossl:0, qca-softstore:1
src/core/auth/qgsauthmanager.cpp: 179: (init) [0ms] Populating auth method registry
src/core/auth/qgsauthmethodregistry.cpp: 66: (QgsAuthMethodRegistry) [0ms] Checking for auth method plugins in: /home/richard/bin/qgis_all/master/debug/lib/qgis/plugins
src/core/auth/qgsauthmanager.cpp: 184: (init) [0ms] Authentication methods found: Basic, Identity-Cert, PKI-PKCS#12, PKI-Paths
src/core/auth/qgsauthmethodregistry.cpp: 289: (authMethod) [0ms] Auth method library name is /home/richard/bin/qgis_all/master/debug/lib/qgis/plugins/libbasicauthmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 311: (authMethod) [0ms] In

-ctr,aes192-ecb,aes192-cfb,aes192-cbc,aes192-cbc-pkcs7,aes192-ofb,aes192-ctr,aes256-ecb,aes256-cbc,aes256-cbc-pkcs7,aes256-cfb,aes256-ofb,aes256-ctr,blowfish-ecb,blowfish-cbc-pkcs7,blowfish-cbc,blowfish-cfb,blowfish-ofb,tripledes-ecb,tripledes-cbc,des-ecb,des-ecb-pkcs7,des-cbc,des-cbc-pkcs7,des-cfb,des-ofb,cast5-ecb,cast5-cbc,cast5-cbc-pkcs7,cast5-cfb,cast5-ofb,pbkdf1(sha1),pbkdf2(sha1),pkey,dlgroup,rsa,dsa,dh,cert,csr,crl,certcollection,pkcs12,tls,cms,ca
src/core/auth/qgsauthmanager.cpp: 163: (init) [0ms] Prioritizing qca-ossl over all other QCA providers...
src/core/auth/qgsauthmanager.cpp: 177: (init) [1ms] QCA provider priorities: qca-cyrus-sasl:1, qca-gnupg:1, qca-logger:1, qca-ossl:0, qca-softstore:1
src/core/auth/qgsauthmanager.cpp: 179: (init) [0ms] Populating auth method registry
src/core/auth/qgsauthmethodregistry.cpp: 66: (QgsAuthMethodRegistry) [0ms] Checking for auth method plugins in: /home/richard/bin/qgis_all/master/debug/lib/qgis/plugins
src/core/auth/qgsauthmanager.cpp: 184: (init) [0ms] Authentication methods found: Basic, Identity-Cert, PKI-PKCS#12, PKI-Paths
src/core/auth/qgsauthmethodregistry.cpp: 289: (authMethod) [0ms] Auth method library name is /home/richard/bin/qgis_all/master/debug/lib/qgis/plugins/libbasicauthmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 311: (authMethod) [0ms] Instantiated the auth method plugin: Basic
src/core/auth/qgsauthmethodregistry.cpp: 289: (authMethod) [0ms] Auth method library name is /home/richard/bin/qgis_all/master/debug/lib/qgis/plugins/libidentcertauthmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 

56-ofb,aes256-ctr,blowfish-ecb,blowfish-cbc-pkcs7,blowfish-cbc,blowfish-cfb,blowfish-ofb,tripledes-ecb,tripledes-cbc,des-ecb,des-ecb-pkcs7,des-cbc,des-cbc-pkcs7,des-cfb,des-ofb,cast5-ecb,cast5-cbc,cast5-cbc-pkcs7,cast5-cfb,cast5-ofb,pbkdf1(sha1),pbkdf2(sha1),pkey,dlgroup,rsa,dsa,dh,cert,csr,crl,certcollection,pkcs12,tls,cms,ca
src/core/auth/qgsauthmanager.cpp: 163: (init) [0ms] Prioritizing qca-ossl over all other QCA providers...
src/core/auth/qgsauthmanager.cpp: 177: (init) [1ms] QCA provider priorities: qca-cyrus-sasl:1, qca-gnupg:1, qca-logger:1, qca-ossl:0, qca-softstore:1
src/core/auth/qgsauthmanager.cpp: 179: (init) [0ms] Populating auth method registry
src/core/auth/qgsauthmethodregistry.cpp: 66: (QgsAuthMethodRegistry) [0ms] Checking for auth method plugins in: /home/richard/bin/qgis_all/master/debug/lib/qgis/plugins
src/core/auth/qgsauthmanager.cpp: 184: (init) [0ms] Authentication methods found: Basic, Identity-Cert, PKI-PKCS#12, PKI-Paths
src/core/auth/qgsauthmethodregistry.cpp: 289: (authMethod) [0ms] Auth method library name is /home/richard/bin/qgis_all/master/debug/lib/qgis/plugins/libbasicauthmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 311: (authMethod) [0ms] Instantiated the auth method plugin: Basic
src/core/auth/qgsauthmethodregistry.cpp: 289: (authMethod) [0ms] Auth method library name is /home/richard/bin/qgis_all/master/debug/lib/qgis/plugins/libidentcertauthmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 311: (authMethod) [0ms] Instantiated the auth method plugin: Identity-Cert
src/core/auth/qgsauthmethodregistry.cpp: 289: (authMethod) [0ms] Auth method library name is /home/richard/bin/qgis_all/master/debug/lib/qgis/plugins/libpkcs12authmethod.so
src/core/auth/qgsauthmet

s-cbc,des-cbc-pkcs7,des-cfb,des-ofb,cast5-ecb,cast5-cbc,cast5-cbc-pkcs7,cast5-cfb,cast5-ofb,pbkdf1(sha1),pbkdf2(sha1),pkey,dlgroup,rsa,dsa,dh,cert,csr,crl,certcollection,pkcs12,tls,cms,ca
src/core/auth/qgsauthmanager.cpp: 163: (init) [0ms] Prioritizing qca-ossl over all other QCA providers...
src/core/auth/qgsauthmanager.cpp: 177: (init) [1ms] QCA provider priorities: qca-cyrus-sasl:1, qca-gnupg:1, qca-logger:1, qca-ossl:0, qca-softstore:1
src/core/auth/qgsauthmanager.cpp: 179: (init) [0ms] Populating auth method registry
src/core/auth/qgsauthmethodregistry.cpp: 66: (QgsAuthMethodRegistry) [0ms] Checking for auth method plugins in: /home/richard/bin/qgis_all/master/debug/lib/qgis/plugins
src/core/auth/qgsauthmanager.cpp: 184: (init) [0ms] Authentication methods found: Basic, Identity-Cert, PKI-PKCS#12, PKI-Paths
src/core/auth/qgsauthmethodregistry.cpp: 289: (authMethod) [0ms] Auth method library name is /home/richard/bin/qgis_all/master/debug/lib/qgis/plugins/libbasicauthmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 311: (authMethod) [0ms] Instantiated the auth method plugin: Basic
src/core/auth/qgsauthmethodregistry.cpp: 289: (authMethod) [0ms] Auth method library name is /home/richard/bin/qgis_all/master/debug/lib/qgis/plugins/libidentcertauthmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 311: (authMethod) [0ms] Instantiated the auth method plugin: Identity-Cert
src/core/auth/qgsauthmethodregistry.cpp: 289: (authMethod) [0ms] Auth method library name is /home/richard/bin/qgis_all/master/debug/lib/qgis/plugins/libpkcs12authmethod.so
src/core/auth/qgsauthmethodregistry.cpp: 311: (authMethod) [0ms] Instantiated the auth method plugin: PKI-PKCS#12
src/core/auth/qgsauthmethodregistry.cpp: 289: (authMethod) [0ms] Auth method library name is /home/richard/bin/qgis_all/master/debug/lib/qgis/plugins/libpkipathsauthmethod.so
src/core/auth/

,dh,cert,csr,crl,certcollection,pkcs12,tls,cms,ca

src/core/auth/qgsauthmanager.cpp: 163: (init) [0ms] Prioritizing qca-ossl over all other QCA providers...

src/core/auth/qgsauthmanager.cpp: 177: (init) [1ms] QCA provider priorities: qca-cyrus-sasl:1, qca-gnupg:1, qca-logger:1, qca-ossl:0,

qca-softstore:1

src/core/auth/qgsauthmanager.cpp: 179: (init) [0ms] Populating auth method registry

src/core/auth/qgsauthmethodregistry.cpp: 66: (QgsAuthMethodRegistry) [0ms] Checking for auth method plugins in:

/home/richard/bin/qgis_all/master/debug/lib/qgis/plugins

src/core/auth/qgsauthmanager.cpp: 184: (init) [0ms] Authentication methods found: Basic, Identity-Cert, PKI-PKCS#12, PKI-Paths

src/core/auth/qgsauthmethodregistry.cpp: 289: (authMethod) [0ms] Auth method library name is

/home/richard/bin/qgis_all/master/debug/lib/qgis/plugins/libbasicauthmethod.so

src/core/auth/qgsauthmethodregistry.cpp: 311: (authMethod) [0ms] Instantiated the auth method plugin: Basic

src/core/auth/qgsauthmethodregistry.cpp: 289: (authMethod) [0ms] Auth method library name is

/home/richard/bin/qgis_all/master/debug/lib/qgis/plugins/libidentcertauthmethod.so

src/core/auth/qgsauthmethodregistry.cpp: 311: (authMethod) [0ms] Instantiated the auth method plugin: Identity-Cert

src/core/auth/qgsauthmethodregistry.cpp: 289: (authMethod) [0ms] Auth method library name is

/home/richard/bin/qgis_all/master/debug/lib/qgis/plugins/libpkcs12authmethod.so

src/core/auth/qgsauthmethodregistry.cpp: 311: (authMethod) [0ms] Instantiated the auth method plugin: PKI-PKCS#12

src/core/auth/qgsauthmethodregistry.cpp: 289: (authMethod) [0ms] Auth method library name is

/home/richard/bin/qgis_all/master/debug/lib/qgis/plugins/libpkipathsauthmethod.so

src/core/auth/qgsauthmethodregistry.cpp: 311: (authMethod) [0ms] Instantiated the auth method plugin: PKI-Paths

src/core/auth/qgsauthmanager.cpp: 201: (init) [0ms] Auth database path: /home/richard/.local/share/QGIS/QGIS3/profiles/default/qgis-auth.db

src/core/auth/qgsauthmanager.cpp: 205: (init) [0ms] Auth db directory path: /home/richard/.local/share/QGIS/QGIS3/profiles/default

src/core/auth/qgsauthmanager.cpp: 289: (init) [0ms] Auth db does not exist: creating through QSqlDatabase initial connection

src/core/auth/qgsauthmanager.cpp: 362: (createCertTables) [1ms] Creating cert tables in auth db

src/core/auth/qgsauthmanager.cpp: 2545: (rebuildCaCertsCache) [41ms] Rebuild of CA certs cache SUCCEEDED

src/core/auth/qgsauthmanager.cpp: 2750: (rebuildCertTrustCache) [0ms] Rebuild of cert trust policy cache SUCCEEDED

src/core/auth/qgsauthmanager.cpp: 2818: (rebuildTrustedCaCertsCache) [3ms] Rebuilt trusted cert authorities cache

src/core/auth/qgsauthmanager.cpp: 2302: (rebuildIgnoredSslErrorCache) [0ms] Rebuild of ignored SSL errors cache SAME AS BEFORE

src/core/auth/qgsauthmanager.cpp: 2169: (dumpIgnoredSslErrorsCache_) [0ms] Ignored SSL errors cache EMPTY

src/core/auth/qgsauthmanager.cpp: 1666: (initSslCaches) [0ms] Init of SSL caches SUCCEEDED

src/app/qgisapp.cpp: 12968: (namSslErrors) [2ms] Stopping network reply timeout

src/app/qgisapp.cpp: 12972: (namSslErrors) [0ms] SSL errors occurred accessing URL:

https://version.qgis.org/version.txt

src/gui/qgscollapsiblegroupbox.cpp: 103: (showEvent) [19ms] did not find a QScrollArea parent

src/gui/qgscollapsiblegroupbox.cpp: 359: (updateStyle) [0ms] groupbox: grpbxSslConfig style: fusion offset: left=0 top=1 top2=4

src/gui/qgscollapsiblegroupbox.cpp: 103: (showEvent) [3ms] did not find a QScrollArea parent

src/gui/qgscollapsiblegroupbox.cpp: 359: (updateStyle) [0ms] groupbox: grpbxSslErrors style: fusion offset: left=0 top=1 top2=4
#5 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
